columns:
  code_original:
    type: text
  commande_id:
    type: bigint
    default: "0"
  date_facture:
    type: date
  date_reglement:
    type: date
  fournisseur_id:
    type: bigint
    default: "0"
  montant_facture_article_ht:
    type: numeric
    default: "0"
  montant_facture_article_ttc:
    type: numeric
    default: "0"
  montant_facture_article_tva:
    type: numeric
    default: "0"
  montant_facture_ht:
    type: numeric
    default: "0"
  montant_facture_port_ht:
    type: numeric
    default: "0"
  montant_facture_port_ttc:
    type: numeric
    default: "0"
  montant_facture_port_tva:
    type: numeric
    default: "0"
  montant_facture_ttc:
    type: numeric
    default: "0"
  montant_facture_tva:
    type: numeric
    default: "0"
  no_facture:
    type: text
  no_liquidation:
    type: text
  oid:
    type: bigint
    not_null: NOT NULL
    default: "nextval('s_facture'::regclass)"
  provider_id:
    type: bigint
    default: "0"
  site_id:
    type: bigint
    default: "0"
  texte:
    type: text
constraints:
  p_facture_pkey:
    type: PRIMARY KEY
    column: oid
indexes:
  i_facture_1:
    column: commande_id
    method: btree
  i_facture_2:
    column: no_facture
    method: btree
  i_facture_3:
    column: date_facture
    method: btree
  i_facture_4:
    column: fournisseur_id
    method: btree
  i_facture_5:
    column: provider_id
    method: btree